= Time
  * ((<SDL.get_ticks>)) -- Get the number of milliseconds since the SDL library initialization
  * ((<SDL.delay>)) -- Wait a specified number of milliseconds before returning
SDL provides several cross-platform functions for dealing with
time.
It provides a way to get the current time
and a way to wait a little while.

==Methods

--- SDL.get_ticks
--- SDL.getTicks

    Get the number of milliseconds since ((<SDL.init>)) is called
    Note that this value wraps if the program runs
    for more than ~49 days.

    * See Also
      
      ((<SDL.delay>))

--- SDL.delay(ms)

    Wait a specified number of milliseconds before returning.
    This method will wait ((*at least*)) the specified time, 
    but possible longer due to OS scheduling.

    * NOTES

      Count on a delay granularity of ((*at least*)) 10 ms. Some
      platforms have shorter clock ticks but this is the most
      common.
      
      Ruby's threads cannot preempt while waiting with this method.
      You should use Kernel#sleep instead.

